<template>
    <el-container style="height: 100%">
        <el-header>
            <commonheader></commonheader>
        </el-header>
        <el-container>
            <el-aside width="auto">
                <commonaside></commonaside>
            </el-aside>
            <el-main>
                <!--<el-backtop target=".page-component__scroll .el-scrollbar__wrap"></!--el-backtop>-->
                <!--左侧栏 和 header部分对于整个后台部分都是不变的，唯一变的就是上面3的部分，这里就通过router-view来展示所需控件-->
                <div v-if="!islogin" style="color:#909399;position:relative;top:35%;text-align:center">
                    您还没有登录，请先登录!
                </div>
                <div v-if="islogin" style="width:70%;position:relative;left:15%;top:5%">
                    <h3>此商家的所有评论：</h3>
                    <ul class="infinite-list" v-infinite-scroll="load" style="overflow:auto">
                        <li v-for="i in commentlist" :key="i" style="display:block;">
                        <el-card shadow="hover">
                            <strong>{{i.userNickname}}</strong><br>
                            &nbsp;&nbsp;&nbsp;&nbsp;
                            {{  i.comment  }}
                        </el-card>
                        <br>
                        </li>
                    </ul>
                </div>
            </el-main>
        </el-container>
    </el-container>
</template>
<script>
import commonaside from '../components/commonaside.vue'
import commonheader from '../components/commonheader.vue'
import showViewInfoService from '@/services/showViewInfoService'
import showfoodshopcomments from '../services/showfoodshopcomments'
export default {
  components: {
    commonaside,
    commonheader
  },
  data () {
    return {
      islogin: false,
      commentlist: [{}]
    }
  },
  created () {
    this.getUserInfo()
    this.getComments()
    this.islogin = this.$store.state.token !== ''
  },
  methods: {
    async getUserInfo () {
      try {
        const response = await showViewInfoService.getInfo({
          headers: {'Authorization': this.$store.state.token}
        })
        // console.log(response.data)
        this.userInfo = response.data.data.user
      } catch (error) {
        if (typeof (error.response) === 'undefined' || typeof (error.response.data) === 'undefined') {
          console.log(error)
          console.log('Network Error')
          this.error = 'Network Error'
        } else {
          this.error = error.response.data.error
          console.log(error.response.data.error)
        }
      }
    },
    async getComments () {
      try {
        console.log(this.$route.params.id)
        const response = await showfoodshopcomments.showcomments(this.$route.params.id, {
          headers: {'Authorization': this.$store.state.token}
        })
        console.log(response.data)
        this.commentlist = response.data.data.foodOrderCommentsList
        console.log('成功')
      } catch (error) {
        if (typeof (error.response) === 'undefined' || typeof (error.response.data) === 'undefined') {
          console.log(error)
          console.log('Network Error')
          this.error = 'Network Error'
        } else {
          this.error = error.response.data.error
          console.log(error.response.data.error)
        }
      }
    }
  }
}
</script>

<style scoped>
.el-header {
    background-color: #333;
}
.el-main {
    padding-top: 0;
}
.el-card{
    height: auto;
    width: 98%;
    border-radius: 4px;
    align-content: center;
    background-color: rgb(244, 244, 244);
    word-wrap: break-word;
    word-break: break-all;
}
</style>
